/*
 * Simple blog city -> MT (or WordPress via import) converter
 *
 * Copyright (C) 2006 Martin H. Smith
 *
 * Released under the terms of the GNU General Public License
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301, USA.
 */

/*
 * Post.java
 *
 * Created on 26 February 2006, 15:55
 */

package com.alvermont.bcimport;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * Bean class for one post
 *
 * @author martin
 * @version $Id: Post.java,v 1.4 2006/02/27 07:54:15 martin Exp $
 */
public class Post
{
    
    /** Creates a new instance of Post */
    public Post()
    {
    }

    /**
     * Holds value of property title.
     */
    private String title;

    /**
     * Getter for property title.
     * @return Value of property title.
     */
    public String getTitle()
    {
        return this.title;
    }

    /**
     * Setter for property title.
     * @param title New value of property title.
     */
    public void setTitle(String title)
    {
        this.title = title;
    }

    /**
     * Holds value of property published.
     */
    private Date published;

    /**
     * Getter for property published.
     * @return Value of property published.
     */
    public Date getPublished()
    {
        return this.published;
    }

    /**
     * Setter for property published.
     * @param published New value of property published.
     */
    public void setPublished(Date published)
    {
        this.published = published;
    }

    /**
     * Holds value of property text.
     */
    private String text;

    /**
     * Getter for property text.
     * @return Value of property text.
     */
    public String getText()
    {
        return this.text;
    }

    /**
     * Setter for property text.
     * @param text New value of property text.
     */
    public void setText(String text)
    {
        this.text = text;
    }

    /**
     * Holds value of property comments.
     */
    private List<Comment> comments = new ArrayList<Comment>();

    /**
     * Getter for property comments.
     * @return Value of property comments.
     */
    public List<Comment> getComments()
    {
        return this.comments;
    }

    /**
     * Setter for property comments.
     * @param comments New value of property comments.
     */
    public void setComments(List<Comment> comments)
    {
        this.comments = comments;
    }

    /**
     * Holds value of property author.
     */
    private String author;

    /**
     * Getter for property author.
     * @return Value of property author.
     */
    public String getAuthor()
    {
        return this.author;
    }

    /**
     * Setter for property author.
     * @param author New value of property author.
     */
    public void setAuthor(String author)
    {
        this.author = author;
    }
    
}
